Bug 885158 - if iscsi targets are logged in and _used_, return system to pre-suspend state and pass human-readable error so that DE can display it
Summary: if iscsi targets are logged in and _used_, return system to pre-suspend state...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: ---
Assignee: Chris Leech
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 15:59 UTC by David Jaša
Modified: 2017-12-06 12:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 885153
Environment:
Last Closed: 2017-12-06 12:59:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Jaša 2012-12-07 15:59:09 UTC
Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.873-2.el6.x86_64
kernel-2.6.32-343.el6.x86_64
(and all previous RHEL 6 versions as well)

How reproducible:
always

Steps to Reproduce:
1. log-in to iscsi target
2. use the iscsi block device (mount it, use it as VM image, ...)
3. invoke suspend by ACPI event or from gnome shutdown menu
  
Actual results:
suspend gets stuck halfway: you can unlock screensaver but you can not do much else till you stop using and log out the device (suspend process then continues)

Expected results:
  * suspend is aborted in a clean way so that system get to the same state as if it was not invoded at all
  * error message is passed to the user who invoked suspend saying what blocked the suspend process and why did it do it

Additional info:
bug below is to handle the logged-in-but-not-used scenario where quiet logout of the session is more appropriate


+++ This bug was initially created as a clone of Bug #885153 +++

Description of problem:
don't block suspend if iscsi targets are logged in but the block devices are not used; logout the sessions instead

Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.873-2.el6.x86_64
kernel-2.6.32-343.el6.x86_64
(and all previous RHEL 6 versions as well)

How reproducible:
always

Steps to Reproduce:
1. log-in to iscsi target
2. invoke suspend by ACPI event or from gnome shutdown menu
3.
  
Actual results:
suspend gets stuck halfway: you can unlock screensaver but you can not do much else till you log out from the iscsi session

Expected results:
iscsi targets are logged out if the devices are not used. NM hook will take care of reconnecting them on resume after the network goes up again.

Additional info:

Comment 2 RHEL Program Management 2012-12-14 08:45:49 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 Jan Kurik 2017-12-06 12:59:36 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.